astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Scale

# Scale

class `astropy.modeling.functional_models.``Scale`

  Bases: `astropy.modeling.Model`

  Multiply a model by a factor.

  Parameters:

  factor : float

  > Factor by which to scale a coordinate.

  Attributes Summary

  `factor` |
  `inputs` |
  `linear` |
  `outputs` |
  `param_names` |

  Methods Summary

  `__call__`(x[, model_set_axis]) | Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.
  `evaluate`(x, factor) |

  Attributes Documentation

  `factor`
  `inputs` = (u'x',)
  `linear` = True
  `outputs` = (u'x',)
  `param_names` = ('factor',)

  Methods Documentation

  `__call__`(x, model_set_axis=None)

    Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.

  static `evaluate`(x, factor)